XFcGLProfiler.h File Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcGLProfiler.h File Reference

GL Profiler interface. More...

## Enumerations

enum

XFC_GLPROFILER_EVENTFLAGS {
XFCGLP_LOG_FRAME = 0,
XFCGLP_LOG_TRIFLAT,
XFCGLP_LOG_TRIGOURAUD,
XFCGLP_LOG_TRITEXTURE,
XFCGLP_LOG_TRITEXTURE1555,
XFCGLP_LOG_TRITEXTUREFLAT,
XFCGLP_LOG_TRITEXTUREGOURAUD,
XFCGLP_LOG_TRITEXTUREPERSPECTIVE,
XFCGLP_LOG_TRITEXTUREPERSPECTIVE1555,
XFCGLP_LOG_TRITEXTUREPERSPECTIVEFLAT,
XFCGLP_LOG_TRITEXTUREPERSPECTIVEGOURAUD,
XFCGLP_LOG_TRIFLATADD,
XFCGLP_LOG_TRIGOURAUDADD,
XFCGLP_LOG_TRITEXTUREADD,
XFCGLP_LOG_TRITEXTUREADD1555,
XFCGLP_LOG_TRITEXTUREFLATADD,
XFCGLP_LOG_TRITEXTUREGOURAUDADD,
XFCGLP_LOG_TRITEXTUREPERSPECTIVEADD,
XFCGLP_LOG_TRITEXTUREPERSPECTIVEADD1555,
XFCGLP_LOG_TRITEXTUREPERSPECTIVEFLATADD,
XFCGLP_LOG_TRITEXTUREPERSPECTIVEGOURAUDADD,
XFCGLP_LOG_TRIFLATALPHA,
XFCGLP_LOG_TRIGOURAUDALPHA,
XFCGLP_LOG_TRITEXTUREALPHA,
XFCGLP_LOG_TRITEXTUREALPHA1555,
XFCGLP_LOG_TRITEXTUREFLATALPHA,
XFCGLP_LOG_TRITEXTUREGOURAUDALPHA,
XFCGLP_LOG_TRITEXTUREPERSPECTIVEALPHA,
XFCGLP_LOG_TRITEXTUREPERSPECTIVEALPHA1555,
XFCGLP_LOG_TRITEXTUREPERSPECTIVEFLATALPHA,
XFCGLP_LOG_TRITEXTUREPERSPECTIVEGOURAUDALPHA,
XFCGLP_LOG_TRIFLATINVMUL,
XFCGLP_LOG_TRIGOURAUDINVMUL,
XFCGLP_LOG_TRITEXTUREINVMUL,
XFCGLP_LOG_TRITEXTUREINVMUL1555,
XFCGLP_LOG_TRITEXTUREFLATINVMUL,
XFCGLP_LOG_TRITEXTUREGOURAUDINVMUL,
XFCGLP_LOG_TRITEXTUREPERSPECTIVEINVMUL,
XFCGLP_LOG_TRITEXTUREPERSPECTIVEINVMUL1555,
XFCGLP_LOG_TRITEXTUREPERSPECTIVEFLATINVMUL,
XFCGLP_LOG_TRITEXTUREPERSPECTIVEGOURAUDINVMUL
}

## Functions

XFCIMPORT void | xfcGLProfilerLog (UINT32 aEvent, UINT32 aValue)
| Adds an event into the GL profiler binary log.

## Detailed Description

GL Profiler interface.

X-Forge Core
Copyright 2000-2003 Fathammer Ltd

Id
  XFcGLProfiler.h,v 1.4 2003/08/12 13:33:47 lars Exp

Date
  2003/08/12 13:33:47

Revision
  1.4

## Enumeration Type Documentation

enum XFC_GLPROFILER_EVENTFLAGS

Enumeration values:

  XFCGLP_LOG_FRAME |
  XFCGLP_LOG_TRIFLAT |
  XFCGLP_LOG_TRIGOURAUD |
  XFCGLP_LOG_TRITEXTURE |
  XFCGLP_LOG_TRITEXTURE1555 |
  XFCGLP_LOG_TRITEXTUREFLAT |
  XFCGLP_LOG_TRITEXTUREGOURAUD |
  XFCGLP_LOG_TRITEXTUREPERSPECTIVE |
  XFCGLP_LOG_TRITEXTUREPERSPECTIVE1555 |
  XFCGLP_LOG_TRITEXTUREPERSPECTIVEFLAT |
  XFCGLP_LOG_TRITEXTUREPERSPECTIVEGOURAUD |
  XFCGLP_LOG_TRIFLATADD |
  XFCGLP_LOG_TRIGOURAUDADD |
  XFCGLP_LOG_TRITEXTUREADD |
  XFCGLP_LOG_TRITEXTUREADD1555 |
  XFCGLP_LOG_TRITEXTUREFLATADD |
  XFCGLP_LOG_TRITEXTUREGOURAUDADD |
  XFCGLP_LOG_TRITEXTUREPERSPECTIVEADD |
  XFCGLP_LOG_TRITEXTUREPERSPECTIVEADD1555 |
  XFCGLP_LOG_TRITEXTUREPERSPECTIVEFLATADD |
  XFCGLP_LOG_TRITEXTUREPERSPECTIVEGOURAUDADD |
  XFCGLP_LOG_TRIFLATALPHA |
  XFCGLP_LOG_TRIGOURAUDALPHA |
  XFCGLP_LOG_TRITEXTUREALPHA |
  XFCGLP_LOG_TRITEXTUREALPHA1555 |
  XFCGLP_LOG_TRITEXTUREFLATALPHA |
  XFCGLP_LOG_TRITEXTUREGOURAUDALPHA |
  XFCGLP_LOG_TRITEXTUREPERSPECTIVEALPHA |
  XFCGLP_LOG_TRITEXTUREPERSPECTIVEALPHA1555 |
  XFCGLP_LOG_TRITEXTUREPERSPECTIVEFLATALPHA |
  XFCGLP_LOG_TRITEXTUREPERSPECTIVEGOURAUDALPHA |
  XFCGLP_LOG_TRIFLATINVMUL |
  XFCGLP_LOG_TRIGOURAUDINVMUL |
  XFCGLP_LOG_TRITEXTUREINVMUL |
  XFCGLP_LOG_TRITEXTUREINVMUL1555 |
  XFCGLP_LOG_TRITEXTUREFLATINVMUL |
  XFCGLP_LOG_TRITEXTUREGOURAUDINVMUL |
  XFCGLP_LOG_TRITEXTUREPERSPECTIVEINVMUL |
  XFCGLP_LOG_TRITEXTUREPERSPECTIVEINVMUL1555 |
  XFCGLP_LOG_TRITEXTUREPERSPECTIVEFLATINVMUL |
  XFCGLP_LOG_TRITEXTUREPERSPECTIVEGOURAUDINVMUL |

## Function Documentation

XFCIMPORT void xfcGLProfilerLog | ( | UINT32 | aEvent,
|  | UINT32 | aValue
| ) |

Adds an event into the GL profiler binary log.

This method is meant to be used with the GLDefaultProfiler graphics device. It can be used to store user-defined events into the profiler log. Doing so may require some changes in the profiler log analyzer util.

Note:
  Calling this function while the GLDefaultProfiler graphics device is not in use may cause undefined behavior.

Parameters:

  aEvent | event type; 0..63. Events in use are defined in the XFC_GLPROFILER_EVENTFLAGS enum.
  aValue | event value; 0..1023. Typically time or pixel count.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch